Bug 738038 - [ipa webui] Remove Category info from HBAC and Sudo pages
Summary: [ipa webui] Remove Category info from HBAC and Sudo pages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 17:26 UTC by Namita Soman
Modified: 2015-01-04 23:51 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:31:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-09-13 17:26:04 UTC
Description of problem:
HBAC page includes columns for User category, Host category, Service category and Source host category. This indicates 'all' if category is set to 'All', and blank when specific members are selected. So the front page includes info that is not very useful, and clutters the page. This was discussed in team mtg, and agreed to be removed.

Similarly, Sudo page includes column for Command category, and that can be removed as well.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Go to HBAC front page

Actual results:
The columns for various categories are available

Expected results:
The columns for various categories should be removed. It clutters the front page, without providing valuable information

Additional info:

Comment 2 Martin Kosek 2011-09-14 07:08:24 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1796

Comment 5 Namita Soman 2011-10-11 14:39:33 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
HBAC Rules now displays Rulename, Ruletype, Enabled, and Description
And Sudo Rules displays Rulename, Enabled, and Description

Comment 7 Martin Kosek 2011-11-01 11:28:43 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document.

Comment 8 errata-xmlrpc 2011-12-06 18:31:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.